function g8g(a,b,d,e){MEd.call(this,a,b,d);this.a=e}
function n8g(){var a;a=new Kpg(5);cr((ped(),a.gb),false);return a}
function Oeh(a){var b;if(!a.g){b=new o8g((r$i(mce(a.a)),elj(oce(a.a))));a.g=b}return a.g}
function Neh(a){var b;if(!a.f){b=new g8g(WDd(Iae(a.a)),Oeh(a),Meh(a),uKg(Cbe(a.a)));gEd((Jae(a.a),b),dFd(Jae(a.a)));a.f=b}return a.f}
function o8g(){nyf.call(this,Y1b,gUd((B3g(),x3g),AL(s0c,tuj,237,[A3g])));this.a=new K3g(Y1b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
S1c(4497,998,yvj,g8g);_.Yi=function(){this.A.Br()};_.aj=function(){Stf(this.a,this)};S1c(4500,2857,zwj,o8g);_.Bh=function(){return eyf(this)};_.yr=function(){return this.a};_.zr=function(){return Y2j};_.Dr=function(){return null};_.Gr=function(){var a;a=new J1g(this,Y2j,gyf(this,null),this.k,this.s);return new V1g(this,Y2j,null,n8g(),a,this.s)};_.Hr=function(){return n8g()};S1c(4570,1,ewj);_.td=function(){EFd(this.b,Neh(this.a.a))};var S0b=xMd(4497),T0b=xMd(4500);Swj(yo)(17);